Bug 694651

Summary: Review Request: IBSimu - Ion beam simulator
Product: [Fedora] Fedora Reporter: Steve Traylen <steve.traylen>
Component: Package ReviewAssignee: Golo Fuchert <packages>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, packages
Target Milestone: ---Flags: packages: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: IBSimu-1.0.4-4.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-04-26 16:06:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Steve Traylen 2011-04-07 20:46:38 UTC
Spec URL: http://cern.ch/straylen/rpms/IBSimu/IBSimu.spec
SRPM URL: http://cern.ch/straylen/rpms/IBSimu/IBSimu-1.0.4-2.fc14.src.rpm
Description: 
Ion Beam Simulator or IBSimu is an ion optical computer simulation package
for ion optics, plasma extraction and space charge dominated ion beam
transport using Vlasov iteration. The code has several capabilities
for solving electric fields in a defined geometry and tracking
particles in electric and magnetic fields. The code is a constructed
as a C++ library for maximal versatility and openness.

There is  on rpmlint warning

macro-in-comment %40jyu

but this is a URL in the comment, presumably as long as that is not set then it won't 
be evaluated and remain as it is.

Steve

Comment 1 Golo Fuchert 2011-04-15 22:32:16 UTC
Dear Steve,

I had a look at your spec file and I don't think that there are major problems, however I need to have a closer look at it. Meanwhile I have two comments:

- Presumably the % won't make trouble, on the other hand, is the link really
  necessary? I mean the point is that you described why the patches are needed 
  and that upstream knows about them, in my opinion this should be sufficient.
  And we can slip the "ugly" %
- You wrote in the description: "The code is a constructed as a C++ library for 
  maximal versatility and openness." Probably there is an 'a' too much.

Comment 2 Steve Traylen 2011-04-16 09:48:25 UTC
Hi Golo,
 I can drop the URL and also I agree the first "a" should go:

"The code is a constructed as a C++ library for maximal versatility...."

I'll wait if you have more comments or fix these of course at import time.

Steve.

Comment 3 Golo Fuchert 2011-04-17 21:00:28 UTC
Here we go with the review:

-----

[+] = ok
[o] = does not apply
[-] = needs work

-----

[+] rpmlint is not quiet yet, but all warnings will be addressed before the  
    build

rpmlint ./SPECS/IBSimu.spec ./SRPMS/IBSimu-1.0.4-2.fc14.src.rpm ./RPMS/i686/IBSimu-1.0.4-2.fc14.i686.rpm ./RPMS/i686/IBSimu-devel-1.0.4-2.fc14.i686.rpm ./SPECS/IBSimu.spec:15:
W: macro-in-comment %40jyu
IBSimu.src:15: W: macro-in-comment %40jyu
3 packages and 1 specfiles checked; 0 errors, 2 warnings.

[+] The package is named according to the guidelines
[+] Spec file name matches base package name
[+] The package follows the Packaging Guidelines
[+] The license is an approved licence (GPLv2+)
[+] The License field matches the actual licence
[+] License file from source file is included in %doc
[+] The spec file is written in American English
[+] The spec file is legible
[+] Packaged sources match with upstream sources (md5)

md5sum libibsimu-1.0.4.tar.gz.*
00a0b5b4156b1f908a975de99af4b85c  libibsimu-1.0.4.tar.gz.packaged
00a0b5b4156b1f908a975de99af4b85c  libibsimu-1.0.4.tar.gz.upstream

[+] Package build at least on one primary architecture
[+] ExecludeArch is not known to be needed.
[+] All build dependencies are listed in the BuildRequires section
[o] No locales for the package
[+] Package stores shared libraries and calls ldconfig in %post/%postun
[+] Package does not bundle copies of system libraries
[o] Package is not relocatable
[+] Package owns all directories it installs.
[+] No files are listed more then once in the %files section
[+] File permissions are set properly (%defattr(...) is used)
[+] Consistent use of macros
[+] Package contains code and documentation only, no content
[+] No large documentation files (well, not large in size at least)
[+] %doc files do not affect runtime
[+] Header files packaged into a devel package
[o] No static libraries included
[o] library files ending with .so included in devel subpackage
[+] -devel subpackage properly requires base package
[+] No libtool .la archives included
[o] No GUI application, no need for a .desktop file
[+] Package does not own files or directories that are owned by other packages
[+] All filenames are valid UTF-8

SHOULD items:

[o] Source package does already include license text(s) as a separate file from upstream.
[o] No other Non-English languages supported.
[+] The package builds in mock.
[o] No koji scratch build because of conditional build macros.
[o] No "runnable" program packaged to test.
[+] No "exotic" scriptlets used.
[o] No other subpackages other than devel.
[+] pkgconfig(.pc) files placed in -devel pkg.
[o] No file dependencies.
[o] No binaries/scripts -> no man pages needed

-----

Comments:

- The packager might consider if a -doc subpackage is appropriate (large number 
  of files but small size), however, the present state is totally acceptable.
- The only minor issues were addressed in comment #1 and will be fixed.

-----

APPROVED

Comment 4 Steve Traylen 2011-04-18 02:29:46 UTC
New Package SCM Request
=======================
Package Name: IBSimu
Short Description: Ion beam simulator
Owners: stevetraylen
Branches: f14 f15 el5 el6
InitialCC:


thank you for the review.

Steve.

Comment 5 Jason Tibbitts 2011-04-18 18:10:13 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-04-18 21:35:42 UTC
IBSimu-1.0.4-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/IBSimu-1.0.4-4.fc14

Comment 7 Fedora Update System 2011-04-18 21:35:49 UTC
IBSimu-1.0.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/IBSimu-1.0.4-4.el6

Comment 8 Fedora Update System 2011-04-18 21:35:57 UTC
IBSimu-1.0.4-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/IBSimu-1.0.4-4.fc15

Comment 9 Fedora Update System 2011-04-19 16:57:07 UTC
IBSimu-1.0.4-4.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2011-04-21 13:53:49 UTC
IBSimu-1.0.4-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/IBSimu-1.0.4-4.el5

Comment 11 Fedora Update System 2011-04-26 16:06:12 UTC
IBSimu-1.0.4-4.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-04-28 01:58:40 UTC
IBSimu-1.0.4-4.fc14 has been pushed to the Fedora 14 stable repository.

Comment 13 Fedora Update System 2011-05-05 15:53:00 UTC
IBSimu-1.0.4-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2011-05-07 01:33:23 UTC
IBSimu-1.0.4-4.el5 has been pushed to the Fedora EPEL 5 stable repository.